搞定QNAP NAS上的wordpress

总的来说就是这么几步:

  1. 打开机子上的MySQL
  2. 应用中心里安装phpMyAdmin,建好wordpress数据库
  3. 应用中心里安装wordpress
  4. 升级到最新版wordpress

OK,遵照官网上的教程,按部就班一切都很简单,不过最后安装好的的wp版本很低,必须升级,但这个过程遇见麻烦了,在wordpress后台点automatically updata后会提示要求连FTP服务器:

image

“To perform the requested action, connection information is required.“

wtf!我第一次看见也是一头雾水,后来在老外网站上逛了圈才发现是权限问题,研究了一下,telnet或ssh上输入以下命令解决(区分大小写):

chown -R httpdusr /share/Web/wordpress

PS:以上命令在TS-212P和QTS4.1上可行。但根据机型不同、系统版本不同等因素,可能会有所区别。

好吧,我承认我很蛋疼,我也觉得建了这个wordpress有屁用呢,权当备胎吧,谁知道哪天墙一发飙tumblr就要拜拜了,再说之前又不是没被墙过……呵呵呵呵呵……(苦笑)

共有 0 条评论

发表评论

电子邮件地址不会被公开。 必填项已用*标注

Protected with IP Blacklist CloudIP Blacklist Cloud